Discover auth configuration

View as Markdown
Return authentication configuration for CLI/SDK discovery. This endpoint is unauthenticated and returns the information clients need to authenticate with this NeMo Helix deployment. **Response fields:** - `auth_enabled`: Whether authentication is enabled on this cluster - `oidc`: OIDC configuration (only present when OIDC is enabled) - `issuer`: The OIDC issuer URL - `userinfo_endpoint`: UserInfo endpoint - `clients`: Complete public and confidential user-login client contracts. Exactly one is the default. - `workload_token_exchange_enabled`: Whether SDK workload identity token exchange is enabled - `workload_client_id`: OAuth client ID to use for workload identity token exchange - `workload_token_endpoint`: Token endpoint to use only for workload identity token exchange - `workload_audience`: RFC 8693 audience for exchanged workload tokens - `workload_scope`: OAuth scopes for exchanged workload tokens

Response

Successful Response
auth_enabledboolean
oidcobjectOptional
OIDC discovery response returned by the auth discovery endpoint.